function [] = RSI(MAXpocet_uzivatelu, pocet_vlastnosti, pocet_intervalu,a,b,aa,bb,aaa,bbb)
N = (1:100:MAXpocet_uzivatelu);
bityN = ceil(log2(N));

RSIlength1 = 352 + bityN*(pocet_vlastnosti*pocet_intervalu);
RSIlength2 = 352 + bityN*(a*b);
RSIlength3 = 352 + bityN*(aa*bb);
RSIlength4 = 352 + bityN*(aaa*bbb);

figure 
semilogx(N,RSIlength1,'r','LineWidth',2)
hold on
semilogx(N,RSIlength2,'r-.','LineWidth',2)
hold on
semilogx(N,RSIlength3,'b','LineWidth',2)
hold on
semilogx(N,RSIlength4,'b-.','LineWidth',2)
% title('Zavislost velikosti RSI paketu na poctu uzivatelu')
legend('20 vlastností(5% interval)','20 vlastností(10% interval)','2 vlastnosti(5% interval)','2 vlastnosti(10% interval)',2)
% xlabel('Pocet uzivatelu\rightarrow')
% ylabel('Velikost paketu [bit]')